# Uses of Enum Class
org.snpeff.interval.Variant.VariantType

Packages that use Variant.VariantType
Package
Description
org.snpeff.align
org.snpeff.interval
org.snpeff.stats

## Uses of Variant.VariantType in org.snpeff.align

Methods in org.snpeff.align that return Variant.VariantType
Modifier and Type
Method
Description
`Variant.VariantType`
VcfRefAltAlign.`getVariantType()`
Methods in org.snpeff.align with parameters of type Variant.VariantType
Modifier and Type
Method
Description
`void`
VcfRefAltAlign.`setVariantType(Variant.VariantType variantType)`

## Uses of Variant.VariantType in org.snpeff.interval

Subclasses with type arguments of type Variant.VariantType in org.snpeff.interval
Modifier and Type
Class
Description
`static enum`
`Variant.VariantType`
Fields in org.snpeff.interval declared as Variant.VariantType
Modifier and Type
Field
Description
`protected Variant.VariantType`
Variant.`variantType`
Methods in org.snpeff.interval that return Variant.VariantType
Modifier and Type
Method
Description
`Variant.VariantType`
Variant.`getVariantType()`
`static Variant.VariantType`
Variant.VariantType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Variant.VariantType[]`
Variant.VariantType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.interval with parameters of type Variant.VariantType
Modifier and Type
Method
Description
`void`
Variant.`setVariantType(Variant.VariantType variantType)`

## Uses of Variant.VariantType in org.snpeff.stats

Methods in org.snpeff.stats that return Variant.VariantType
Modifier and Type
Method
Description
`Variant.VariantType[]`
VariantStats.`getChangeType()`